Skip to main content
GET
/
v1
/
merchants
/
affiliations
Get affiliations for all merchants
curl --request GET \
  --url https://api-sandbox.rinne.com.br/core/v1/merchants/affiliations \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api-sandbox.rinne.com.br/core/v1/merchants/affiliations"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api-sandbox.rinne.com.br/core/v1/merchants/affiliations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174002",
      "provider": "CELCOIN",
      "merchant_id": "12345678",
      "status": "ACTIVE",
      "enabled": true,
      "company_id": "a3dbd0c2-9f79-4f86-8caa-47779b3f2793",
      "allowed_capture_methods": [
        "ECOMMERCE"
      ],
      "allowed_payment_methods": [
        "PIX"
      ],
      "organization_id": "a3dbd0c2-9f79-4f86-8caa-47779b3f2793",
      "gateway_mode": false,
      "onboarding_documents": [
        {
          "id": "c5fdf2e4-1b9b-6108-aece-69991d5h4905",
          "file_type": "CNH_FRONT",
          "file_name": "CNH_FRONT_a1b2c3d4.pdf",
          "created_at": "2023-06-15T14:30:00.000Z",
          "content_type": "application/pdf",
          "file_size_bytes": 125430
        }
      ],
      "created_at": "2023-01-01T12:00:00.000Z",
      "updated_at": "2023-01-01T12:00:00.000Z",
      "provider_id": "prov_123456",
      "soft_descriptor": "MYSTORE",
      "mcc": "5411",
      "cost_policy_id": "123e4567-e89b-12d3-a456-426614174003",
      "provider_status_code": "200",
      "provider_status_message": "Merchant activated successfully",
      "provider_metadata": {},
      "onboarding_url": "https://provider.com/onboard/12345",
      "bank_account": {
        "id": "a2da4238-bdc2-47f9-b866-246cc87212d5",
        "bank_code": "001",
        "branch_number": "1234",
        "account_number": "567890",
        "account_holder_name": "John Doe",
        "account_holder_document_number": "81146431023",
        "ispb": "00000000"
      },
      "settlement_bank_accounts": [
        {
          "id": "b3eb5349-cec3-48fa-c977-357dd98323e6",
          "branch_number": "1234",
          "account_number": "567890",
          "account_type": "CHECKING",
          "account_holder_name": "John Doe",
          "account_holder_document_number": "81146431023",
          "ispb": "00000000",
          "status": "ACTIVE",
          "created_at": "2023-01-01T00:00:00Z",
          "updated_at": "2023-01-01T00:00:00Z"
        }
      ],
      "anticipation_type": "AUTOMATIC",
      "anticipation_days": 1,
      "company_snapshot": {}
    }
  ],
  "pagination": {
    "page": 1,
    "limit": 20,
    "total": 50,
    "totalPages": 3,
    "hasNext": true,
    "hasPrev": false
  }
}
{
"error": {
"code": "AUTHENTICATION_ERROR",
"message": "Authentication required to access this resource",
"status": 401,
"details": {
"reason": "Invalid API key"
},
"path": "/companies/me",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}
{
"error": {
"code": "AUTHORIZATION_ERROR",
"message": "You need 'admin' permissions to access this resource",
"status": 403,
"path": "/companies",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}
{
"error": {
"code": "INTERNAL_SERVER_ERROR",
"message": "An unexpected error occurred",
"status": 500,
"path": "/companies",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}

Authorizations

x-api-key
string
header
required

Company API key for authentication

Query Parameters

page
integer
default:1

Page number for pagination

Required range: x >= 1
limit
integer
default:20

Number of affiliations per page

Required range: 1 <= x <= 100
company_id
string

Filter by company ID

status
enum<string>[]

Comma-separated list of statuses to filter by (e.g., ACTIVE,PROCESSING)

Available options:
PENDING,
FAILED,
ACTIVE,
PROCESSING,
BLOCKED,
PENDING_APPROVAL,
WAITING_DOCUMENTS,
PROCESSING_DOCUMENTS,
REJECTED,
INVALID_SETTLEMENT_BANK_ACCOUNT
provider
enum<string>

Filter by provider (accepts lowercase and uppercase, returns uppercase)

Available options:
CELCOIN,
RINNE,
CAPPTA
enabled
boolean

Filter by enabled status

sort
enum<string>[]

Multi-field sort string (e.g., -created_at). Allowed fields: created_at, updated_at

Available options:
created_at,
updated_at,
-created_at,
-updated_at

Response

Paginated list of affiliations for all merchants

data
object[]
pagination
object